#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Exception
Summary:	Test::Exception - convenience routines for testing exception based code
Summary(pl.UTF-8):	Test::Exception - wygodne funkcje do testowania kodu bazującego na wyjątkach
Name:		perl-Test-Exception
Version:	0.32
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	50e985a335842540b69ea886eeed8a7f
URL:		http://search.cpan.org/dist/Test-Exception/
%if %{with tests}
BuildRequires:	perl(Test::Builder) >= 0.70
BuildRequires:	perl-Sub-Uplevel >= 0.18
BuildRequires:	perl-Test-Builder-Tester >= 1.07
BuildRequires:	perl-Test-Harness >= 2.03
BuildRequires:	perl-Test-Simple >= 0.70
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl(Test::Builder) >= 0.70
Requires:	perl-Sub-Uplevel >= 0.18
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a few convenience methods for testing exception
based code.  It is built with Test::Builder and plays happily with
Test::More and friends.

%description -l pl.UTF-8
Ten moduł udostępnia kilka wygodnych metod do testowania kodu
bazującego na wyjątkach. Jest budowany z użyciem Test::Builder, działa
sprawnie z Test::More i przyległościami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Test/Exception.pm
%{_mandir}/man3/Test::Exception.3pm*
%changelog
* Fri Jun 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Exception.git;a=log;h=master

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> f518d9b
- updated to 0.32

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> b62156f
- updated to 0.31

* Mon May 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 9e24bb5
- updated Sub::Uplevel deps (to >= 0.18)

* Sun May 11 2008 hawk <hawk@pld-linux.org> 61ab987
- updated to 0.27

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> f5d208d
- up to 0.26

* Thu Mar 29 2007 radek <radek@pld-linux.org> c0e852b
- version 0.25

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 19db3a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d917239
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> e415284
- it seems that all tests are passed now
- versioned runtime deps

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 8bbf26d
- generic URL, updated deps

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 1cae6a0
- ver. 0.24

* Thu Sep 21 2006 Elan Ruusamäe <glen@pld-linux.org> 77f89b2
- disable failing tests, rel 2

* Tue Jun 14 2005 petec <petec@pld-linux.org> 1fee657
- up to 0.21

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4f4c70b
- formatting

* Sat Aug 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 78632bf
- updated to 0.20

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 4a179ce
- updated to 0.19

* Sat Aug 14 2004 Adam Gołębiowski <adamg@pld-linux.org> 7fde329
- updated to 0.18

* Fri May 07 2004 ankry <ankry@pld-linux.org> b7fe9bc
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0e055ab
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> a2009e6
- fixed license, cosmetics

